
Redmine - Defect #18231

Some issues show 500 error after upgrading from 1.1.2 to 2.5.2

2014-10-29 17:54 - Vitaly Litvak

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 2.5.2

Description

Hi

We have recently upgraded redmine from 1.1.2 to 2.5.2 Everything went smooth, almost all issues are fine and show no errors.

Attachments are working, etc.

However, some issue give us the following error:

Started GET "/issues/6873" for 192.168.240.2 at 2014-10-29 20:53:49 +0400

Processing by IssuesController#show as HTML

  Parameters: {"id"=>"6873"}

  Current user: litvak (id=11)

  Rendered issues/_action_menu.html.erb (3.3ms)

  Rendered issue_relations/_form.html.erb (1.5ms)

  Rendered issues/_relations.html.erb (2.8ms)

  Rendered issues/_history.html.erb (13.3ms)

  Rendered issues/show.html.erb within layouts/base (56.8ms)

Completed 500 Internal Server Error in 745.5ms

ActionView::Template::Error (wrong constant name issue):

    13:       <% end %>

    14:     </ul>

    15:     <% end %>

    16:     <%= render_notes(issue, journal, :reply_links => reply_links) unless journal.notes.bla

nk? %>

    17:     </div>

    18:   </div>

    19:   <%= call_hook(:view_issues_history_journal_bottom, { :journal => journal }) %>

  app/models/journal.rb:103:in `attachments'

  app/helpers/application_helper.rb:639:in `parse_inline_attachments'

  app/helpers/application_helper.rb:592:in `block (2 levels) in textilizable'

  app/helpers/application_helper.rb:591:in `each'

  app/helpers/application_helper.rb:591:in `block in textilizable'

  app/helpers/application_helper.rb:612:in `parse_non_pre_blocks'

  app/helpers/application_helper.rb:590:in `textilizable'

  app/helpers/journals_helper.rb:36:in `render_notes'

  app/views/issues/_history.html.erb:16:in `block in _app_views_issues__history_html_erb__40418307

03231949103_43166160'

  app/views/issues/_history.html.erb:2:in `each'

  app/views/issues/_history.html.erb:2:in `_app_views_issues__history_html_erb__404183070323194910

3_43166160'

  app/views/issues/show.html.erb:120:in `_app_views_issues_show_html_erb__1606033780085670145_6989

6779655260'

  app/controllers/issues_controller.rb:128:in `block (2 levels) in show'

  app/controllers/issues_controller.rb:125:in `show'

 I have checked that particular one in MySQL database and it has no attachments.

Please give any hint on where I could look to find the reason of this issue.

Thanks in advance.
History

#1 - 2014-10-29 18:00 - Toshi MARUYAMA

- Status changed from New to Needs feedback

See #5330.

#2 - 2014-10-29 18:07 - Vitaly Litvak

That worked. I will post SQL query I used to fix this issue:

UPDATE journals SET journalized_type ='Issue' WHERE CAST(journalized_type AS BINARY)='issue';

 Thank you very much.

#3 - 2014-10-30 04:15 - Toshi MARUYAMA

- Category deleted (Issues)

- Status changed from Needs feedback to Closed

- Resolution set to Invalid

Thank you for your feedback.
